Subject: Re: [bug#44821] [PATCH v2] gnu: Add diff-so-fancy.

From: EuAndreh <[email-masked]>
Date: Thu, 26 Nov 2020 12:20:17 -0300

Leo Famulari <[email-masked]> writes:

> It's impractical to propagate ncurses — ncurses is very widely used and
> this will cause "profile conflicts" if anyone tries to make a profile
> that refers to multiple versions of ncurses.
>
> Is there any way to make the built package refer explicitly to the
> ncurses store directory, so that it can be a regular input?

I'm not sure. How could I accomplish that?

I put ncurses as a propagates input because diff-so-fancy relies on it
for the execution.

Maybe a "(wrap-program ...)" could solve that? I think it would solve
the problem you raised, right?